// MSVC_LStep4XDlg.cpp : implementation file
//

#include "stdafx.h"



#include "MSVC_LStep4X.h"
#include "MSVC_LStep4XDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMSVC_LStep4XDlg dialog

CMSVC_LStep4XDlg::CMSVC_LStep4XDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMSVC_LStep4XDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMSVC_LStep4XDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMSVC_LStep4XDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMSVC_LStep4XDlg)
	DDX_Control(pDX, IDC_COMBO2, m_Combo2);
	DDX_Control(pDX, IDC_COMBO1, m_Combo1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CMSVC_LStep4XDlg, CDialog)
	//{{AFX_MSG_MAP(CMSVC_LStep4XDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
	ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMSVC_LStep4XDlg message handlers

BOOL CMSVC_LStep4XDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	LStep1 = new CLStep4X();
	SetDlgItemText(IDC_COMBO1, "COM1");
	SetDlgItemText(IDC_COMBO2, "57600");
	SetDlgItemText(IDC_EDIT1, "1");
	SetDlgItemText(IDC_EDIT2, "2");
	SetDlgItemText(IDC_EDIT3, "3");
	SetDlgItemText(IDC_EDIT4, "4");

	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CMSVC_LStep4XDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMSVC_LStep4XDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CMSVC_LStep4XDlg::OnButton1() 
{  
  char cp[20], br[20];
  GetDlgItemText(IDC_COMBO1, cp, sizeof(cp));
  GetDlgItemText(IDC_COMBO2, br, sizeof(br));
  LStep1->ConnectSimple(1, cp, atoi(br), true);	
}

void CMSVC_LStep4XDlg::OnButton2() 
{
  LStep1->Disconnect(); 	
}

void CMSVC_LStep4XDlg::OnClose() 
{	
    delete LStep1;

	CDialog::OnClose();
}

void CMSVC_LStep4XDlg::OnButton3() 
{
	char x[20], y[20], z[20], a[20];
	GetDlgItemText(IDC_EDIT1, x, sizeof(x));
	GetDlgItemText(IDC_EDIT2, y, sizeof(y));
	GetDlgItemText(IDC_EDIT3, z, sizeof(z));
	GetDlgItemText(IDC_EDIT4, a, sizeof(a));
	LStep1->MoveRel(atof(x), atof(y), atof(z), atof(a), true);	
}

void CMSVC_LStep4XDlg::OnButton4() 
{
  int Timeout;

  LStep1->MoveRelSingleAxis(1, 60, false);
  Sleep(500);
  LStep1->MoveRelSingleAxis(2, 50, false);
  LStep1->WaitForAxisStop(3, 0, &Timeout);

}
