
#include	"stdafx.h"
#include	"Fenster.h"


/////////////////////////////////////////////////////////////////////////////
// Klasse CLStep4X


// Konstruktor: Versucht DLL und alle Zeiger auf Funktionsaufrufe zu laden
CLStep4X::CLStep4X()
{
        m_DLLResultat=0;		// DLL-Zugriff ok

        // Zeiger auf alle Funktionen Nullsetzen
        m_pOpenFenster=NULL;
        m_pCloseFenster=NULL;
        

        if ((m_LStep4=::LoadLibrary(_T("testlib.dll")))==0)
        {
                m_DLLResultat=-1; // DLL konnte nicht geladen werden
        }
        else
        {
                // Zeiger auf jede Methode der Dll laden und prfen

                VERIFY(m_pOpenFenster= (POpenFenster) GetProcAddress(m_LStep4,"OpenFenster"));
                if (!m_pOpenFenster) m_DLLResultat=-2;

                VERIFY(m_pCloseFenster= (PCloseFenster) GetProcAddress(m_LStep4,"CloseFenster"));
                if (!m_pCloseFenster) m_DLLResultat=-2;                
        }
}


// Destruktor
CLStep4X::~CLStep4X()
{
	if (m_LStep4!=0)
	{            
             FreeLibrary(m_LStep4); // DLL wieder freigeben
	}
}


// gekapselte Funktionen der DLL

int CLStep4X::OpenFenster ()
{
        if (m_pOpenFenster)
        {
                return m_pOpenFenster ();
        }
        else
                return -1;
}

int CLStep4X::CloseFenster ()
{
        if (m_pCloseFenster)
        {
                return m_pCloseFenster ();
        }
        else
                return -1;
}

